> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get adminobservabilitycomputed outboxtasks lineage

> Resolve one computed task's lineage: trigger source, run chain across the outbox / dead-letter / run-history ledgers, DAG plan (steps + edges), and source-change to converged-write latency

Required token scopes: `instance|read`



## OpenAPI

````yaml /swagger.json get /admin/observability/computed-outbox/tasks/{taskId}/lineage
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
tags:
  - name: base
    x-group: project
  - name: base node
    x-group: project node
  - name: base-share
    x-group: project-share
paths:
  /admin/observability/computed-outbox/tasks/{taskId}/lineage:
    get:
      tags:
        - admin
        - observability
      description: >-
        Resolve one computed task's lineage: trigger source, run chain across
        the outbox / dead-letter / run-history ledgers, DAG plan (steps +
        edges), and source-change to converged-write latency


        Required token scopes: `instance|read`
      parameters:
        - schema:
            type: string
            minLength: 1
            maxLength: 128
          required: true
          name: taskId
          in: path
      responses:
        '200':
          description: Lineage for the task and its run chain
          content:
            application/json:
              schema:
                type: object
                properties:
                  targetId:
                    type: string
                  storage:
                    type: string
                    enum:
                      - default
                      - byodb
                  baseId:
                    type: string
                  baseName:
                    type: string
                  spaceId:
                    type: string
                  spaceName:
                    type: string
                  task:
                    type: object
                    properties:
                      taskId:
                        type: string
                      state:
                        type: string
                        enum:
                          - pending
                          - processing
                          - dead
                          - succeeded
                      baseId:
                        type: string
                      seedTableId:
                        type: string
                      changeType:
                        type: string
                      runId:
                        type: string
                      originRunIds:
                        type: array
                        items:
                          type: string
                      stageDepth:
                        type: number
                      predecessorTaskId:
                        type: string
                        nullable: true
                      attempts:
                        type: number
                      estimatedComplexity:
                        type: number
                      runTotalSteps:
                        type: number
                      runCompletedStepsBefore:
                        type: number
                      syncMaxLevel:
                        type: number
                        nullable: true
                      seedRecordCount:
                        type: number
                        nullable: true
                      sourceFieldIds:
                        type: array
                        items:
                          type: string
                      affectedFieldIds:
                        type: array
                        items:
                          type: string
                      affectedTableIds:
                        type: array
                        items:
                          type: string
                      sourceChangedAt:
                        type: string
                        nullable: true
                      enqueuedAt:
                        type: string
                      startedAt:
                        type: string
                        nullable: true
                      completedAt:
                        type: string
                        nullable: true
                      failedAt:
                        type: string
                        nullable: true
                      durationMs:
                        type: number
                        nullable: true
                      lastError:
                        type: string
                        nullable: true
                      steps:
                        type: array
                        items:
                          type: object
                          properties:
                            tableId:
                              type: string
                            fieldIds:
                              type: array
                              items:
                                type: string
                            level:
                              type: number
                          required:
                            - tableId
                            - fieldIds
                            - level
                      edges:
                        type: array
                        items:
                          type: object
                          properties:
                            fromFieldId:
                              type: string
                            toFieldId:
                              type: string
                            fromTableId:
                              type: string
                            toTableId:
                              type: string
                            linkFieldId:
                              type: string
                            propagationMode:
                              type: string
                            order:
                              type: number
                          required:
                            - fromFieldId
                            - toFieldId
                            - fromTableId
                            - toTableId
                            - order
                    required:
                      - taskId
                      - state
                      - baseId
                      - seedTableId
                      - changeType
                      - runId
                      - originRunIds
                      - stageDepth
                      - predecessorTaskId
                      - attempts
                      - estimatedComplexity
                      - runTotalSteps
                      - runCompletedStepsBefore
                      - syncMaxLevel
                      - seedRecordCount
                      - sourceFieldIds
                      - affectedFieldIds
                      - affectedTableIds
                      - sourceChangedAt
                      - enqueuedAt
                      - startedAt
                      - completedAt
                      - failedAt
                      - durationMs
                      - lastError
                      - steps
                      - edges
                  runChain:
                    type: array
                    items:
                      type: object
                      properties:
                        taskId:
                          type: string
                        state:
                          type: string
                          enum:
                            - pending
                            - processing
                            - dead
                            - succeeded
                        baseId:
                          type: string
                        seedTableId:
                          type: string
                        changeType:
                          type: string
                        runId:
                          type: string
                        originRunIds:
                          type: array
                          items:
                            type: string
                        stageDepth:
                          type: number
                        predecessorTaskId:
                          type: string
                          nullable: true
                        attempts:
                          type: number
                        estimatedComplexity:
                          type: number
                        runTotalSteps:
                          type: number
                        runCompletedStepsBefore:
                          type: number
                        syncMaxLevel:
                          type: number
                          nullable: true
                        seedRecordCount:
                          type: number
                          nullable: true
                        sourceFieldIds:
                          type: array
                          items:
                            type: string
                        affectedFieldIds:
                          type: array
                          items:
                            type: string
                        affectedTableIds:
                          type: array
                          items:
                            type: string
                        sourceChangedAt:
                          type: string
                          nullable: true
                        enqueuedAt:
                          type: string
                        startedAt:
                          type: string
                          nullable: true
                        completedAt:
                          type: string
                          nullable: true
                        failedAt:
                          type: string
                          nullable: true
                        durationMs:
                          type: number
                          nullable: true
                        lastError:
                          type: string
                          nullable: true
                        steps:
                          type: array
                          items:
                            type: object
                            properties:
                              tableId:
                                type: string
                              fieldIds:
                                type: array
                                items:
                                  type: string
                              level:
                                type: number
                            required:
                              - tableId
                              - fieldIds
                              - level
                        edges:
                          type: array
                          items:
                            type: object
                            properties:
                              fromFieldId:
                                type: string
                              toFieldId:
                                type: string
                              fromTableId:
                                type: string
                              toTableId:
                                type: string
                              linkFieldId:
                                type: string
                              propagationMode:
                                type: string
                              order:
                                type: number
                            required:
                              - fromFieldId
                              - toFieldId
                              - fromTableId
                              - toTableId
                              - order
                      required:
                        - taskId
                        - state
                        - baseId
                        - seedTableId
                        - changeType
                        - runId
                        - originRunIds
                        - stageDepth
                        - predecessorTaskId
                        - attempts
                        - estimatedComplexity
                        - runTotalSteps
                        - runCompletedStepsBefore
                        - syncMaxLevel
                        - seedRecordCount
                        - sourceFieldIds
                        - affectedFieldIds
                        - affectedTableIds
                        - sourceChangedAt
                        - enqueuedAt
                        - startedAt
                        - completedAt
                        - failedAt
                        - durationMs
                        - lastError
                        - steps
                        - edges
                  fields:
                    type: array
                    items:
                      type: object
                      properties:
                        fieldId:
                          type: string
                        fieldName:
                          type: string
                        fieldType:
                          type: string
                        isLookup:
                          type: boolean
                        tableId:
                          type: string
                        referencedFieldIds:
                          type: array
                          items:
                            type: string
                      required:
                        - fieldId
                  tables:
                    type: array
                    items:
                      type: object
                      properties:
                        tableId:
                          type: string
                        tableName:
                          type: string
                      required:
                        - tableId
                  summary:
                    type: object
                    properties:
                      sourceChangedAt:
                        type: string
                        nullable: true
                      convergedAt:
                        type: string
                        nullable: true
                      endToEndMs:
                        type: number
                        nullable: true
                      live:
                        type: boolean
                      sourceFieldIds:
                        type: array
                        items:
                          type: string
                    required:
                      - sourceChangedAt
                      - convergedAt
                      - endToEndMs
                      - live
                      - sourceFieldIds
                required:
                  - targetId
                  - storage
                  - baseId
                  - task
                  - runChain
                  - fields
                  - tables
                  - summary
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url https://app.teable.ai/api/admin/observability/computed-outbox/tasks/%7BtaskId%7D/lineage \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/admin/observability/computed-outbox/tasks/%7BtaskId%7D/lineage';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/admin/observability/computed-outbox/tasks/%7BtaskId%7D/lineage',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET",
            "/api/admin/observability/computed-outbox/tasks/%7BtaskId%7D/lineage",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````